Bug 13234 - Make on-site checkouts visible in OPAC
Summary: Make on-site checkouts visible in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 10860
Blocks: 16478
  Show dependency treegraph
 
Reported: 2014-11-11 18:54 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13234: On-site checkouts - OPAC (11.02 KB, patch)
2014-11-12 14:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13234: On-site checkouts - OPAC (11.13 KB, patch)
2014-11-12 17:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13234 [Follow-up] Make on-site checkouts visible in OPAC (19.56 KB, patch)
2014-11-12 17:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13234 [Follow-up] Make on-site checkouts visible in OPAC (19.58 KB, patch)
2014-11-13 09:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13234: Remove the order by control (3.93 KB, patch)
2014-11-13 09:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13234: On-site checkouts - OPAC (11.14 KB, patch)
2014-11-16 09:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13234 [Follow-up] Make on-site checkouts visible in OPAC (19.83 KB, patch)
2014-11-16 09:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-11-11 18:54:36 UTC
While integrating bug 10860 into current master we removed the change to the prog template it included as the template had just been removed.

The changed intended for prog should be reimplemented for the bootstrap theme.
Comment 1 Jonathan Druart 2014-11-12 10:51:47 UTC
I have almost a patch for this one.
But at the OPAC, tabs already exist ("show all items" and "showing last 50 items").
I am sure it's not a good idea to add a 2 level tabs here.
An ergonomic suggestion?

I would replace the existing tab by a link.
Comment 2 Katrin Fischer 2014-11-12 11:04:02 UTC
Hi Jonathan, maybe we could split this up - show the in-house checkouts in the patron account and show it on the OPAC detail tab? 

Bit confused what we are talking about right now :)
Comment 3 Jonathan Druart 2014-11-12 14:44:36 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2014-11-12 17:19:57 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2014-11-12 17:20:03 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-11-13 09:13:12 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-11-13 09:16:30 UTC
Owen,
Thanks for this follow-up!
Now we have the sort available in the table, should the "order by" dropdown list be removed?
Comment 8 Jonathan Druart 2014-11-13 09:20:33 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2014-11-13 09:21:10 UTC
Owen, Could you please sign off this last patch or obsolete it if you disagree?
Comment 10 Owen Leonard 2014-11-13 14:33:49 UTC
(In reply to Jonathan Druart from comment #8)

> Now we have the sort available in the table, the "order by" dropdown list can
> be removed.

Removing the dropdown would remove that functionality for users without JavaScript, so I would rather we not remove it. However, we could hide it with JavaScript or add this to the OPAC stylesheet:

.no-js #opac-user-readingrec .resultscontrol { display: none; }
Comment 11 Jonathan Druart 2014-11-13 14:36:50 UTC
ok, patch obsoleted.
Comment 12 Katrin Fischer 2014-11-16 09:28:59 UTC
Created attachment 33598 [details] [review]
[PASSED QA] Bug 13234: On-site checkouts - OPAC

This patch introduces the code lost in bug 10860 for the OPAC side.

Test plan:
Go on opac-readingrecord.pl and verify the tabs work as expected and the
"show all items" and "show 50 items" links.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2014-11-16 09:29:12 UTC
Created attachment 33599 [details] [review]
[PASSED QA] Bug 13234 [Follow-up] Make on-site checkouts visible in OPAC

This follow-up makes a few changes to the template:

1. The "show all" / "show 50" links have been modified to show the
   current state.
2. The tabs are only shown if the OnSiteCheckouts preference is turned
   on.
3. The DataTables configuration has been modified so that title sorting
   ignores articles, sorting on the the first column is disabled, and
   sorting by date works regardless of your dateformat preference.
4. Some indentation has been corrected and markup comments added.

To test the opacreadinghistory preference must be enabled. Log in to
the OPAC as a patron who has some on-site checkouts as well as regular
checkouts. With OnSiteCheckouts enabled, view the reading history page
and confirm that the tabs work correctly. Test the table sorting
controls.

With OnSiteCheckouts disabled, confirm that the tabs do not appear.

Test the "Show all items"/"Show last 50 items" links and confirm that
the behavior is correct.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works as described, passes tests and QA script.
Good addition to the new on-site feature.

Note: It would be nice to show the 'on-site' note also in the
liste of checkouts on the summary page!
Comment 14 Tomás Cohen Arazi 2014-11-19 14:40:59 UTC
Patches pushed to master.

Thanks to you guys!
Comment 15 Katrin Fischer 2015-01-12 16:01:59 UTC
Note: this was only for the reading history, it appears not to show up for current checkouts - see bug 13557.